Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.beans.reflector
Class Reference

    java.lang.Object
      |
      +--weblogic.beans.reflector.Reference

public class Reference
extends java.lang.Object
implements java.io.Serializable, WLSerializable

Class for managing T3Bean References. Use a Reference to create and invoke implementations from T3Reflectors the T3Server.

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`Reference()` Constructs a T3Bean Reference.
`Reference(java.lang.String name)` Constructs a T3Bean Reference by the specified name.

Method Summary
`void` | `destroy()` Destroys a T3Bean Reference.
`boolean` | `equals(java.lang.Object ref)` Determines whether a Reference is the same as the specified object, which is another reference.
`java.lang.String` | `getName()` Gets the name associated with a T3Bean Reference.
`int` | `hashCode()` Returns the hash code of a T3Bean Reference.
`void` | `initialize()` Initializes a T3Bean Reference.
`void` | `readObject(WLObjectInput sis)` Reads a T3Bean Reference from the specified WebLogic ObjectInput stream.
`java.lang.String` | `toString()` Returns a string representation of a T3Bean Reference.
`void` | `writeObject(WLObjectOutput sos)` Writes a T3Bean Reference to the specified WebLogic ObjectOutput stream.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Reference

    public Reference()

  Constructs a T3Bean Reference.

### Reference

    public Reference(java.lang.String name)

  Constructs a T3Bean Reference by the specified name.

  Parameters:
    `name` - Reference

Method Detail

### getName

    public java.lang.String getName()

  Gets the name associated with a T3Bean Reference.

  Returns:
    Name of a Reference

### hashCode

    public int hashCode()

  Returns the hash code of a T3Bean Reference.

  Returns:
    Hash code
  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object ref)

  Determines whether a Reference is the same as the specified object, which is another reference.

  Parameters:
    `ref` - Object (reference) to compare
  Returns:
    true if identical to this Reference
  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Returns a string representation of a T3Bean Reference.

  Returns:
    Object representation
  Overrides:
    toString in class java.lang.Object

### initialize

    public void initialize()

  Initializes a T3Bean Reference.

### destroy

    public void destroy()

  Destroys a T3Bean Reference.

### readObject

    public void readObject(WLObjectInput sis)
                    throws java.io.IOException

  Reads a T3Bean Reference from the specified WebLogic ObjectInput stream.
  Specified by:
    readObject in interface WLSerializable

  Parameters:
    `sis` - WLObjectInput
  Throws:
    java.io.IOException - if there is an error

### writeObject

    public void writeObject(WLObjectOutput sos)
                     throws java.io.IOException

  Writes a T3Bean Reference to the specified WebLogic ObjectOutput stream.
  Specified by:
    writeObject in interface WLSerializable

  Parameters:
    `sos` - WLObjectOutput
  Throws:
    java.io.IOException - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD